html {
    scroll-behavior: smooth;
}

@keyframes move {
    0% {
        left: 0px;
        top: -7px;
    }

    50% {
        left: 0px;
        top: 3px;
    }

    100% {
        left: 0px;
        top: -7px;
    }
}

@keyframes fromTop {
    0% {
        transform: translateY(-100%);
    }

    100% {
        transform: translateY(0%);
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes scaleOut {
    0% {
        transform: scale(1.10);
        opacity: 0;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

#services {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 60px 0;
    gap: 60px;
    width: 90%;
    margin: auto;
    flex-wrap: wrap;
}

#services .box {
    position: relative;
    width: 300рх;
    height: 350px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-image: linear-gradient(var(--clr), transparent) 30;
    border-width: 1px;
    border-style: solid;
    margin: 0 20px;
}

#services .box::after {
    content: '';
    position: absolute;
    inset: 130px -10px;
    border-right: 4px solid var(--clr);
    border-left: 4px solid var(--clr);
    z-index: -1;
    transform: skewX(15deg);
    transition: 0.5s ease-in-out;
}

#services .box:hover::after {
    transform: skewX(0deg);
    inset: 110px -10px;
}



#services .box .content {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    gap: 20px;
    padding: 0 20px;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

#services .box .content .icon img {
    height: 35px;
    width: auto;
    color: white;
    transition: all .55s ease;
}

#services .box:hover .content .icon img {
    transform: translateY(-5px);
}

#services .box .content .icon {
    color: var(--clr);
    width: 80px;
    height: 80px;
    border: 1px dashed var(--clr);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2.5em;
    background: #fff;
    transition: 0.5s ease-in-out;
}

#services .box:hover .content .icon {
    background: var(--clr);
    color: var(--primary-text);
    box-shadow: 0 0 0 4px var(--primary-text),
        0 0 0 300px var(--clr);
}

#services .box .content .text h3 {
    font-size: 1.5em;
    color: var(--primary-text);
    font-weight: 500;
    transition: 0.5s ease-in-out;
}

#services .box:hover .content .text h3 {
    color: #fff;
}

#services .box .content .text p {
    color: var(--secondary-text);
    transition: 0.5s ease-in-out;
}

#services .box:hover .content .text p {
    color: var(--primary-text);
}

#services .box .content .text a {
    position: relative;
    background: var(--clr);
    color: var(--primary-text);
    padding: 8px 15px;
    display: inline-block;
    text-decoration: none;
    font-weight: 500;
    margin-top: 10px;
    border-radius: 20px;
    transition: all .55s ease;
}

#services .box:hover .content .text a {
    background: var(--primary-text);
    color: var(--clr);
}

@keyframes modal {
    from {
        opacity: 0;
        transform: translate3d(0, -30, 0);
    }

    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

::placeholder {
    color: #c9c7c7;
}

/*HERO-BUTTONSS*/
.hero-buttons {
    margin: 15px auto 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.hero-buttons a {
    padding: 12px 25px;
    border: none;
    border-radius: 4px;
    font-weight: 500;
    text-decoration: none;
    margin: 0 5px;
    color: white;
    background-color: var(--primary-purple);
    transition: all .55s ease;
}

.hero-buttons a:hover {
    box-shadow: 0 0 10px #aaaaaa;
    transform: scale(1.02);
    color: black;
    background-color: transparent !important;
    transition: all .55s ease;
}

@media (max-width: 600px) {
    .hero #down-arrow {
        visibility: hidden;
        display: none;
    }
}

/*MODAL*/
.modal-container {
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, .5);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2000;
    display: none;
    justify-content: center;
    align-items: center;
}

.ativo {
    display: flex;
}

.modal {
    background: #fff;
    padding: 40px;
    border: none;
    border-radius: 2px;
    box-shadow: 0 0 0 10px #fff;
    position: relative;
    min-width: 300px;
    z-index: 3000;
}

.ativo .modal {
    animation: modal .3s forwards;
}

.close {
    position: absolute;
    top: -30px;
    right: -30px;
    width: 50px;
    height: 50px;
    border: 2px solid #fff;
    border-radius: 50%;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, .3);
    cursor: pointer;
    background: var(--primary-purple);
    font-size: 1.2rem;
    color: #fff;
}

#status {
    margin: 0px;
    font-size: 18px;
    letter-spacing: .2em;
}

/*Modal-Contact-form*/
#contact-form div {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 0;
}

#contact-form div h1 {
    margin: 0;
    padding: 0;
}

#contact-form div input,
#contact-form div textarea {
    width: 100%;
    padding: 18px;
    border: none;
    margin: 10px 10px 0 0;
    border-radius: 50px;
    transition: all .55s ease;
    font-size: 18px;
    box-shadow: 0 0 5px #aaaaaa;
}

#contact-form div textarea {
    border-radius: 20px;
}

#contact-form div input:hover,
#contact-form div textarea:hover {
    box-shadow: 0 0 10px var(--primary-purple);
}

#contact-form div button {
    width: 100%;
    padding: 18px;
    margin: 10px 0 0 0;
    border-radius: 50px;
    border: none;
    transition: all .55s ease;
    background-color: rgb(92, 92, 92);
    color: white;
    box-shadow: 0 0 5px #aaaaaa;
    font-weight: bold;
    font-size: 16px;
    letter-spacing: 0.1em;
    cursor: pointer;
}

#contact-form div button:hover {
    border-bottom: 1px solid var(--primary-purple);
    background: transparent;
    color: var(--primary-purple);
}

@media (max-width: 770px) {
    #contact-form div {
        flex-direction: column;
    }

    #contact-form div input,
    #contact-form div textarea {
        width: 90%;
    }

    .modal {
        width: 60%;
    }
}

@media (max-width: 450px) {

    #contact-form div input,
    #contact-form div textarea {
        width: 70%;
    }

    #contact-form div button {
        width: 85%;
    }

    .modal {
        padding: 10px;
        width: 30%;
    }
}